Wpadłem w jakieś problemy, które miałem w pobieraniu matplotlib za pomocą pip.

Co się stało

  1. Na początku pobrałem MATPOTLIB przez PIP bez problemów.
  2. Z jakiegoś powodu po pobraniu MATPOTLIB, kiedy próbowałem uruchomić prosty kod wykresu, nie będzie go wyświetlić.
  3. Próbowałem wyszukać w Google z powodów, dla których nie działa, przy użyciu komunikatów o błędach mam jako słowa kluczowe.
  4. Jedna z porad powiedziała mi, żebym bałagan się ze ścieżką i zrobiłem, nic się nie stało.
  5. Kolejną radą, którą otrzymałem, które otrzymałem, które otrzymałem, aby pobrać Visual Studio 2019, który zrobiłem.
  6. Kiedy próbowałem ponownie uruchomić kod, wszystko działało dobrze.
  7. Następnego dnia później, po wyłączeniu mojego laptopa i włączyłem go, wpadłem w inny problem, w którym Python nie był rozpoznawany na moim laptopie (prawie tak jak ja nie miałem na nim Pythona).
  8. Zrozumiałem, że miało coś wspólnego ze mną, bawiąc się ze ścieżką, ponieważ była to jedyna rzecz, którą pomieszałem przed pobraniem Visual Studio 2019 (wątpiłem do pobrania vs 2019, miałem nic wspólnego z tym).
  9. Próbowałem przepisywać rzeczą ścieżki bez szczęścia.
  10. Czytałem gdzieś (przepełnienie stosu), że powinienem odinstalować i ponownie zainstalować Pythona, który zrobiłem (poprzedni, który miałem, był Python 3.8, ten, który mam teraz, to python 3.9).
  11. Wszystko działa dobrze, ale kiedy próbowałem uruchomić kod wykresu linii, dostałem to:
Traceback (most recent call last):
  File "C:\Users\bosaw\Documents\python_work\crash_course\part_II\generating_data\examples\mpl_squares.py", line 1, in <module>
    import matplotlib.pyplot as plt
ModuleNotFoundError: No module named 'matplotlib'
 12. So when I tried to redownload matplotlib I got the error message below (which is where I am currently stuck at).
C:\Users\bosaw> python -m pip install --user matplotlib
Collecting matplotlib
  Using cached matplotlib-3.3.2.tar.gz (37.9 MB)
    ERROR: Command errored out with exit status 1:
     command: 'C:\Users\bosaw\AppData\Local\Programs\Python\Python39\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\\Users\\bosaw\\AppData\\Local\\Temp\\pip-install-33gi_n74\\matplotlib\\setup.py'"'"'; __file__='"'"'C:\\Users\\bosaw\\AppData\\Local\\Temp\\pip-install-33gi_n74\\matplotlib\\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\bosaw\AppData\Local\Temp\pip-pip-egg-info-ch11l41t'
         cwd: C:\Users\bosaw\AppData\Local\Temp\pip-install-33gi_n74\matplotlib\
    Complete output (249 lines):
    WARNING: The wheel package is not available.
        ERROR: Command errored out with exit status 1:
         command: 'C:\Users\bosaw\AppData\Local\Programs\Python\Python39\python.exe' 'C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\pip\_vendor\pep517\_in_process.py' prepare_metadata_for_build_wheel 'C:\Users\bosaw\AppData\Local\Temp\tmpsql0gg7p'
             cwd: C:\Users\bosaw\AppData\Local\Temp\pip-wheel-d4s0p_ef\numpy
        Complete output (200 lines):
        Running from numpy source directory.
        setup.py:470: UserWarning: Unrecognized setuptools command, proceeding with generating Cython sources and expanding templates
          run_build = parse_setuppy_commands()
        Processing numpy/random\_bounded_integers.pxd.in
        Processing numpy/random\bit_generator.pyx
        Processing numpy/random\mtrand.pyx
        Processing numpy/random\_bounded_integers.pyx.in
        Processing numpy/random\_common.pyx
        Processing numpy/random\_generator.pyx
        Processing numpy/random\_mt19937.pyx
        Processing numpy/random\_pcg64.pyx
        Processing numpy/random\_philox.pyx
        Processing numpy/random\_sfc64.pyx
        Cythonizing sources
        blas_opt_info:
        blas_mkl_info:
        No module named 'numpy.distutils._msvccompiler' in numpy.distutils; trying from distutils
        customize MSVCCompiler
          libraries mkl_rt not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        blis_info:
          libraries blis not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        openblas_info:
          libraries openblas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
        get_default_fcompiler: matching types: '['gnu', 'intelv', 'absoft', 'compaqv', 'intelev', 'gnu95', 'g95', 'intelvem', 'intelem', 'flang']'
        customize GnuFCompiler
        Could not locate executable g77
        Could not locate executable f77
        customize IntelVisualFCompiler
        Could not locate executable ifort
        Could not locate executable ifl
        customize AbsoftFCompiler
        Could not locate executable f90
        customize CompaqVisualFCompiler
        Could not locate executable DF
        customize IntelItaniumVisualFCompiler
        Could not locate executable efl
        customize Gnu95FCompiler
        Could not locate executable gfortran
        Could not locate executable f95
        customize G95FCompiler
        Could not locate executable g95
        customize IntelEM64VisualFCompiler
        customize IntelEM64TFCompiler
        Could not locate executable efort
        Could not locate executable efc
        customize PGroupFlangCompiler
        Could not locate executable flang
        don't know how to compile Fortran code on platform 'nt'
          NOT AVAILABLE

        atlas_3_10_blas_threads_info:
        Setting PTATLAS=ATLAS
          libraries tatlas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        atlas_3_10_blas_info:
          libraries satlas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        atlas_blas_threads_info:
        Setting PTATLAS=ATLAS
          libraries ptf77blas,ptcblas,atlas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        atlas_blas_info:
          libraries f77blas,cblas,atlas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        accelerate_info:
          NOT AVAILABLE

        C:\Users\bosaw\AppData\Local\Temp\pip-wheel-d4s0p_ef\numpy\numpy\distutils\system_info.py:1914: UserWarning:
            Optimized (vendor) Blas libraries are not found.
            Falls back to netlib Blas library which has worse performance.
            A better performance should be easily gained by switching
            Blas library.
          if self._calc_info(blas):
        blas_info:
          libraries blas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        C:\Users\bosaw\AppData\Local\Temp\pip-wheel-d4s0p_ef\numpy\numpy\distutils\system_info.py:1914: UserWarning:
            Blas (http://www.netlib.org/blas/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [blas]) or by setting
            the BLAS environment variable.
          if self._calc_info(blas):
        blas_src_info:
          NOT AVAILABLE

        C:\Users\bosaw\AppData\Local\Temp\pip-wheel-d4s0p_ef\numpy\numpy\distutils\system_info.py:1914: UserWarning:
            Blas (http://www.netlib.org/blas/) sources not found.
            Directories to search for the sources can be specified in the
            numpy/distutils/site.cfg file (section [blas_src]) or by setting
            the BLAS_SRC environment variable.
          if self._calc_info(blas):
          NOT AVAILABLE

        non-existing path in 'numpy\\distutils': 'site.cfg'
        lapack_opt_info:
        lapack_mkl_info:
          libraries mkl_rt not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        openblas_lapack_info:
          libraries openblas not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        openblas_clapack_info:
          libraries openblas,lapack not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        flame_info:
          libraries flame not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        atlas_3_10_threads_info:
        Setting PTATLAS=ATLAS
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries tatlas,tatlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries lapack_atlas not found in C:\
          libraries tatlas,tatlas not found in C:\
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
          libraries tatlas,tatlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
        <class 'numpy.distutils.system_info.atlas_3_10_threads_info'>
          NOT AVAILABLE

        atlas_3_10_info:
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries satlas,satlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries lapack_atlas not found in C:\
          libraries satlas,satlas not found in C:\
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
          libraries satlas,satlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
        <class 'numpy.distutils.system_info.atlas_3_10_info'>
          NOT AVAILABLE

        atlas_threads_info:
        Setting PTATLAS=ATLAS
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries ptf77blas,ptcblas,atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries lapack_atlas not found in C:\
          libraries ptf77blas,ptcblas,atlas not found in C:\
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
          libraries ptf77blas,ptcblas,atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
        <class 'numpy.distutils.system_info.atlas_threads_info'>
          NOT AVAILABLE

        atlas_info:
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries f77blas,cblas,atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib
          libraries lapack_atlas not found in C:\
          libraries f77blas,cblas,atlas not found in C:\
          libraries lapack_atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
          libraries f77blas,cblas,atlas not found in C:\Users\bosaw\AppData\Local\Programs\Python\Python39\libs
        <class 'numpy.distutils.system_info.atlas_info'>
          NOT AVAILABLE

        lapack_info:
          libraries lapack not found in ['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\lib', 'C:\\', 'C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\libs']
          NOT AVAILABLE

        C:\Users\bosaw\AppData\Local\Temp\pip-wheel-d4s0p_ef\numpy\numpy\distutils\system_info.py:1748: UserWarning:
            Lapack (http://www.netlib.org/lapack/) libraries not found.
            Directories to search for the libraries can be specified in the
            numpy/distutils/site.cfg file (section [lapack]) or by setting
            the LAPACK environment variable.
          return getattr(self, '_calc_info_{}'.format(name))()
        lapack_src_info:
          NOT AVAILABLE

        C:\Users\bosaw\AppData\Local\Temp\pip-wheel-d4s0p_ef\numpy\numpy\distutils\system_info.py:1748: UserWarning:
            Lapack (http://www.netlib.org/lapack/) sources not found.
            Directories to search for the sources can be specified in the
            numpy/distutils/site.cfg file (section [lapack_src]) or by setting
            the LAPACK_SRC environment variable.
          return getattr(self, '_calc_info_{}'.format(name))()
          NOT AVAILABLE

        numpy_linalg_lapack_lite:
          FOUND:
            language = c
            define_macros = [('HAVE_BLAS_ILP64', None), ('BLAS_SYMBOL_SUFFIX', '64_')]

        C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\distutils\dist.py:274: UserWarning: Unknown distribution option: 'define_macros'
          warnings.warn(msg)
        running dist_info
        running build_src
        build_src
        building py_modules sources
        creating build
        creating build\src.win-amd64-3.9
        creating build\src.win-amd64-3.9\numpy
        creating build\src.win-amd64-3.9\numpy\distutils
        building library "npymath" sources
        error: Microsoft Visual C++ 14.0 is required. Get it with "Build Tools for Visual Studio": https://visualstudio.microsoft.com/downloads/
        ----------------------------------------
    ERROR: Command errored out with exit status 1: 'C:\Users\bosaw\AppData\Local\Programs\Python\Python39\python.exe' 'C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\pip\_vendor\pep517\_in_process.py' prepare_metadata_for_build_wheel 'C:\Users\bosaw\AppData\Local\Temp\tmpsql0gg7p' Check the logs for full command output.
    Traceback (most recent call last):
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\setuptools\installer.py", line 128, in fetch_build_egg
        subprocess.check_call(cmd)
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\subprocess.py", line 373, in check_call
        raise CalledProcessError(retcode, cmd)
    subprocess.CalledProcessError: Command '['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\python.exe', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', 'C:\\Users\\bosaw\\AppData\\Local\\Temp\\tmpk5j8tasg', '--quiet', 'numpy>=1.15']' returned non-zero exit status 1.

    The above exception was the direct cause of the following exception:

    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "C:\Users\bosaw\AppData\Local\Temp\pip-install-33gi_n74\matplotlib\setup.py", line 242, in <module>
        setup(  # Finally, pass this all along to distutils to do the heavy lifting.
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\setuptools\__init__.py", line 164, in setup
        _install_setup_requires(attrs)
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\setuptools\__init__.py", line 159, in _install_setup_requires
        dist.fetch_build_eggs(dist.setup_requires)
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\setuptools\dist.py", line 699, in fetch_build_eggs
        resolved_dists = pkg_resources.working_set.resolve(
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\pkg_resources\__init__.py", line 779, in resolve
        dist = best[req.key] = env.best_match(
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\pkg_resources\__init__.py", line 1064, in best_match
        return self.obtain(req, installer)
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\pkg_resources\__init__.py", line 1076, in obtain
        return installer(requirement)
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\setuptools\dist.py", line 758, in fetch_build_egg
        return fetch_build_egg(self, req)
      File "C:\Users\bosaw\AppData\Local\Programs\Python\Python39\lib\site-packages\setuptools\installer.py", line 130, in fetch_build_egg
        raise DistutilsError(str(e)) from e
    distutils.errors.DistutilsError: Command '['C:\\Users\\bosaw\\AppData\\Local\\Programs\\Python\\Python39\\python.exe', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', 'C:\\Users\\bosaw\\AppData\\Local\\Temp\\tmpk5j8tasg', '--quiet', 'numpy>=1.15']' returned non-zero exit status 1.

    Edit setup.cfg to change the build options; suppress output with --quiet.

    BUILDING MATPLOTLIB
      matplotlib: yes [3.3.2]
          python: yes [3.9.0 (tags/v3.9.0:9cf6752, Oct  5 2020, 15:34:40) [MSC
                      v.1927 64 bit (AMD64)]]
        platform: yes [win32]
     sample_data: yes [installing]
           tests: no  [skipping due to configuration]
          macosx: no  [Mac OS-X only]

    ----------------------------------------
ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.'''

Jestem nowy w programowaniu i nie jestem pewien, co robić.

1
Leo 18 październik 2020, 22:54

1 odpowiedź

Najlepsza odpowiedź

To może być twój problem. Jeśli po podążaniu za tym postem nadal masz problemy, może to być dlatego, że masz więcej niż jedną wersję Pythona i nie jest poprawnie skonfigurowany. Uruchom następujące polecenie i sprawdź, czy masz więcej niż jeden zainstalowany Python. where python (w cmd)

0
CForce99 18 październik 2020, 20:27